package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectClass;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 课程机组成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-16
 */
public interface ReportSubjectClassService {

    void deleteByExamId(Integer examId);

    List<ReportSubjectClass> findByQuery(ReportSubjectQuery query);

    ReportSubjectClass save(ReportSubjectClass r);

    ReportSubjectClass findOne(Integer examId, String subjectCode, String className);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
